<?php

class ComisionesMapBuilder {

    const CLASS_NAME = 'lib.model.map.ComisionesMapBuilder';

    private $dbMap;

    public function isBuilt() {
        return ($this->dbMap !== null);
    }

    public function getDatabaseMap() {
        return $this->dbMap;
    }

    public function doBuild() {
        $this->dbMap = Propel::getDatabaseMap('propel');

        $tMap = $this->dbMap->addTable('COMISIONES');
        $tMap->setPhpName('Comisiones');

        $tMap->setUseIdGenerator(false);

        $tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

        $tMap->addColumn('CODARE', 'Codare', 'string', CreoleTypes::VARCHAR, false, 20);

        $tMap->addForeignKey('TIPCOMI', 'Tipcomi', 'string', CreoleTypes::VARCHAR, 'TIPOS_COMISION', 'TIPCOMI', false, 20);

        $tMap->addColumn('CODPRO', 'Codpro', 'string', CreoleTypes::VARCHAR, false, 20);

        $tMap->addColumn('FECHA', 'Fecha', 'int', CreoleTypes::DATE, false, null);

        $tMap->addColumn('OBJETIVO', 'Objetivo', 'string', CreoleTypes::VARCHAR, false, 2000);

        $tMap->addColumn('ACTIVIDAD', 'Actividad', 'string', CreoleTypes::VARCHAR, false, 2000);

        $tMap->addColumn('OBSERVA', 'Observa', 'string', CreoleTypes::VARCHAR, false, 2000);

        $tMap->addColumn('CREATED_AT', 'CreatedAt', 'int', CreoleTypes::DATE, false, null);

        $tMap->addColumn('UPDATE_AT', 'UpdateAt', 'int', CreoleTypes::DATE, false, null);

        $tMap->addColumn('USERNAME', 'Username', 'double', CreoleTypes::NUMERIC, false, 22);

        $tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

        $tMap->addColumn('ACTIVO', 'Activo', 'double', CreoleTypes::NUMERIC, false, 22);

        $tMap->addPrimaryKey('VIGENCIA', 'Vigencia', 'double', CreoleTypes::NUMERIC, true, 22);

        $tMap->addColumn('JUSTIFICACION', 'Justificacion', 'string', CreoleTypes::VARCHAR, false, 500);

        $tMap->addColumn('INTERRUPCION', 'Interrupcion', 'string', CreoleTypes::CHAR, false, 1);

        $tMap->addColumn('ID_ORIGINAL', 'IdOriginal', 'double', CreoleTypes::NUMERIC, false, 22);

        $tMap->addColumn('DESTINOS_ADD', 'DestinosAdd', 'string', CreoleTypes::VARCHAR, false, 500);

        $tMap->addColumn('EXTERIOR', 'Exterior', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('TRM', 'Trm', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('APLICA_PORCENTAJE', 'AplicaPorcentaje', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('TIPO_EXTERIOR', 'TipoExterior', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('CDP', 'Cdp', 'int', CreoleTypes::NUMERIC, false, null);

        $tMap->addColumn('ID_RUBRO', 'IdRubro', 'int', CreoleTypes::NUMERIC, false, null);

        $tMap->addColumn('ID_TRANSPORTE', 'IdTransporte', 'int', CreoleTypes::NUMERIC, false, 22);

        $tMap->addColumn('PASAJE_AEREO', 'PasajeAereo', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('ID_FIRMA', 'IdFirma', 'int', CreoleTypes::NUMERIC, false, 22);

        $tMap->addColumn('TIPO_GASTO', 'TipoGasto', 'int', CreoleTypes::NUMERIC, false, 1);

        $tMap->addColumn('ID_RUBRO_EXTRA', 'IdRubro', 'int', CreoleTypes::NUMERIC, false, null);
    }

}
